Index: /WAeUP_SRP/trunk/WAeUPPermissions.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPPermissions.py	(revision 728)
+++ /WAeUP_SRP/trunk/WAeUPPermissions.py	(revision 729)
@@ -25,4 +25,4 @@
 from Products.CMFCore.permissions import setDefaultRoles
 
-WAeUPModifyOwnContent = "WAeUPModify own content"
-setDefaultRoles(WAeUPModifyOwnContent, ('Owner',))
+#WAeUPModifyOwnContent = "WAeUPModify own content"
+#setDefaultRoles(WAeUPModifyOwnContent, ('Owner',))
Index: /WAeUP_SRP/trunk/profiles/default/rolemap.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 728)
+++ /WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 729)
@@ -8,8 +8,4 @@
   </roles>
   <permissions>
-    <permission name="WAeUPModify own content" acquire="True">
-      <role name="Owner"/>
-      <role name="SectionManager"/>
-    </permission>
     <permission name="List folder contents" acquire="True">
       <role name="SectionManager"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 728)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 729)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentCourseResult</property>
- <property name="immediate_view">cpsdocument_view</property>
+ <property name="immediate_view">academics_document_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -26,8 +26,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="academics_document_view"/>
+ <alias from="view" to="academics_document_view"/>
  <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/academics_contents"
+    condition_expr="" url_expr="string:${object_url}/academics_document_view"
     visible="True">
   <permission value="View"/>
Index: /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 728)
+++ /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 729)
@@ -6,5 +6,4 @@
  <permission>Modify portal content</permission>
  <permission>View</permission>
- <permission>WAeUPModify own content</permission>
  <state state_id="closed" title="">
   <exit-transition transition_id="open"/>
@@ -25,7 +24,4 @@
   <permission-map name="View" acquired="True">
   </permission-map>
-  <permission-map name="WAeUPModify own content"
-                  acquired="True">
-  </permission-map>
  </state>
  <state state_id="opened" title="">
@@ -40,13 +36,9 @@
    <permission-role>Owner</permission-role>
   </permission-map>
-  <permission-map name="WAeUPModify own content"
-                  acquired="True">
-   <permission-role>Owner</permission-role>
-  </permission-map>
  </state>
  <transition transition_id="close" title=""
              new_state="closed" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -58,5 +50,5 @@
              new_state="content_addable" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
   </guard>
@@ -65,5 +57,5 @@
              new_state="created" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
   </guard>
@@ -74,5 +66,5 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-  
+
   <guard>
   </guard>
@@ -82,5 +74,5 @@
              new_state="opened" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>Manager</guard-role>