Index: WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml	(revision 732)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml	(revision 734)
@@ -30,8 +30,8 @@
   <property name="label_edit">Credits</property>
   <property name="readonly_layout_modes"/>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-      <element value="create"/>
-    </property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+     <element value="create"/>
+  </property>
   <property name="hidden_layout_modes">
    <element value="create"/>
@@ -47,8 +47,8 @@
   <property name="label">Passmark</property>
   <property name="label_edit">Passmark</property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-      <element value="create"/>
-    </property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+     <element value="create"/>
+  </property>
   <property name="hidden_layout_modes">
    <element value="create"/>
@@ -63,8 +63,8 @@
   <property name="label">Course Title</property>
   <property name="label_edit">Course Title</property>
-    <property name="readonly_layout_modes">
-      <element value="create"/>
-      <element value="edit"/>
-    </property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+     <element value="create"/>
+  </property>
   <property name="hidden_layout_modes">
    <element value="create"/>
@@ -118,14 +118,14 @@
  </widget>
  <widget name="import_id" meta_type="String Widget">
-  <property name="title">imported ID</property>
+  <property name="title">ID imported</property>
   <property name="fields">
    <element value="import_id"/>
   </property>
-  <property name="label">imported ID</property>
-  <property name="label_edit">imported ID</property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-      <element value="create"/>
-    </property>
+  <property name="label">ID imported</property>
+  <property name="label_edit">ID imported</property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+     <element value="create"/>
+  </property>
   <property name="hidden_layout_modes">
    <element value="create"/>
@@ -141,6 +141,4 @@
   <property name="label_edit">Score</property>
     <property name="readonly_layout_modes">
-      <element value="edit"/>
-      <element value="create"/>
     </property>
   <property name="hidden_layout_modes"/>
@@ -154,5 +152,8 @@
   <property name="label">Status</property>
   <property name="label_edit">Status</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+     <element value="create"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_study_level.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_study_level.xml	(revision 732)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_study_level.xml	(revision 734)
@@ -74,5 +74,8 @@
   <property name="label">Status</property>
   <property name="label_edit">Status</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+     <element value="create"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -85,5 +88,8 @@
   <property name="label">Verdict</property>
   <property name="label_edit">Verdict</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+     <element value="create"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>