Index: WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 738)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 739)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentAccommodation</property>
- <property name="immediate_view">academics_document_view</property>
+ <property name="immediate_view">waeup_document_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -26,8 +26,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_document_view"/>
- <alias from="view" to="academics_document_view"/>
+ <alias from="(Default)" to="waeup_document_view"/>
+ <alias from="view" to="waeup_document_view"/>
  <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/academics_document_view"
+    condition_expr="" url_expr="string:${object_url}/waeup_document_view"
     visible="True">
   <permission value="View"/>
@@ -37,4 +37,4 @@
     visible="True">
   <permission value="Modify portal content"/>
- </action> 
+ </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 738)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 739)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentApplication</property>
- <property name="immediate_view">academics_document_view</property>
+ <property name="immediate_view">waeup_document_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -26,8 +26,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_document_view"/>
- <alias from="view" to="academics_document_view"/>
+ <alias from="(Default)" to="waeup_document_view"/>
+ <alias from="view" to="waeup_document_view"/>
  <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/academics_document_view"
+    condition_expr="" url_expr="string:${object_url}/waeup_document_view"
     visible="True">
   <permission value="View"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 738)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 739)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentClearance</property>
- <property name="immediate_view">academics_document_view</property>
+ <property name="immediate_view">waeup_document_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -28,9 +28,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_document_view"/>
+ <alias from="(Default)" to="waeup_document_view"/>
  <alias from="view" to="academics_contents"/>
  <action title="View" action_id="view" category="object"
     condition_expr=""
-    url_expr="string:${object_url}/academics_document_view"
+    url_expr="string:${object_url}/waeup_document_view"
     visible="True">
   <permission value="View"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 738)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 739)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentCourseResult</property>
- <property name="immediate_view">academics_document_view</property>
+ <property name="immediate_view">waeup_document_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -26,10 +26,10 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_document_view"/>
+ <alias from="(Default)" to="waeup_document_view"/>
  <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="created" to="student_course_result_created"/>
- <alias from="view" to="academics_document_view"/>
+ <alias from="view" to="waeup_document_view"/>
  <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/academics_document_view"
+    condition_expr="" url_expr="string:${object_url}/waeup_document_view"
     visible="True">
   <permission value="View"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 738)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 739)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentPersonal</property>
- <property name="immediate_view">academics_document_view</property>
+ <property name="immediate_view">waeup_document_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -28,9 +28,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_document_view"/>
- <alias from="view" to="academics_document_view"/>
+ <alias from="(Default)" to="waeup_document_view"/>
+ <alias from="view" to="waeup_document_view"/>
  <action title="View" action_id="view" category="object"
     condition_expr=""
-    url_expr="string:${object_url}/academics_document_view"
+    url_expr="string:${object_url}/waeup_document_view"
     visible="True">
   <permission value="View"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml	(revision 738)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml	(revision 739)
@@ -28,8 +28,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_document_view"/>
- <alias from="view" to="academics_document_view"/>
+ <alias from="(Default)" to="waeup_document_view"/>
+ <alias from="view" to="waeup_document_view"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_document_view" visible="True">
+    url_expr="string:${object_url}/waeup_document_view" visible="True">
   <permission value="View"/>
  </action>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_document_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_document_view.pt	(revision 738)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<metal:html tal:define="info context/getDocumentInfo;
-                        s_info context/getStudentInfo;
-                        is_manager info/is_manager|nothing;"
-            >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3> 
-         <span tal:condition="python:is_manager and s_info">
-           <span tal:content="s_info/student/Title" />:
-         </span>
-         <span tal:content="here/title_or_id" />
-      </h3>
-    </metal:block>
-    <metal:main fill-slot="main">
-      <span tal:omit-tag=""  
-            tal:content="structure python: info['doc'].render(layout_mode='view')" />
-      
-    </metal:main>
-    
-    <metal:sub fill-slot="sub"/>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 738)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 739)
@@ -29,5 +29,5 @@
         return context.courses_view()
     elif context.portal_type == 'CertificatesFolder':
-        return context.certificates_view()        
+        return context.certificates_view()
     elif context.portal_type == 'Certificate':
         return context.certificate_view()
@@ -35,5 +35,5 @@
         return context.level_view()
     elif context.portal_type in ('CertificateCourse','Course'):
-        return context.academics_document_view()
+        return context.waeup_document_view()
     return redirect("%s/srp_manager_view" % context.portal_url())
 
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 739)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 739)
@@ -0,0 +1,27 @@
+<metal:html tal:define="info context/getDocumentInfo;
+                        s_info context/getStudentInfo;
+                        is_manager info/is_manager|nothing;"
+            >
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3> 
+         <span tal:condition="python:is_manager and s_info">
+           <span tal:content="s_info/student/Title" />:
+         </span>
+         <span tal:content="here/title_or_id" />
+      </h3>
+    </metal:block>
+    <metal:main fill-slot="main">
+      <span tal:omit-tag=""  
+            tal:content="structure python: info['doc'].render(layout_mode='view')" />
+      
+    </metal:main>
+    
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 738)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 739)
@@ -25,5 +25,5 @@
 member_id = str(member)
 if student is None:
-    if context.isManager():
+    if context.isManager() and 'students' in context.getPhysicalPath():
         if context.portal_type == 'Student':
             student_id = context.getId()
@@ -31,9 +31,9 @@
             student_id = context.aq_parent.getId()
         elif context.aq_parent.aq_parent.portal_type == 'Student':
-            student_id = context.aq_parent.aq_parent.getId()    
+            student_id = context.aq_parent.aq_parent.getId()
         elif context.aq_parent.aq_parent.aq_parent.portal_type == 'Student':
-            student_id = context.aq_parent.aq_parent.aq_parent.getId()   
+            student_id = context.aq_parent.aq_parent.aq_parent.getId()
         else:
-            student_id = member_id            
+            student_id = member_id
     else:
         student_id = member_id
@@ -87,5 +87,5 @@
     row['type'] = so.portal_type
     row['is_editable'] = mtool.checkPermission('Modify portal content', soo)
-    sv_link = s_view_links.get(so.portal_type,None) or "academics_document_view"
+    sv_link = s_view_links.get(so.portal_type,None) or "waeup_document_view"
     row['s_view_link'] = "%s/%s" % (soo.absolute_url(),sv_link)
     se_link = s_edit_links.get(so.portal_type,None)