Index: WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml	(revision 743)
+++ WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml	(revision 744)
@@ -124,12 +124,12 @@
   <property name="label_true">female</property>
  </widget>
-<widget name="maintainance_code" meta_type="Select Widget">
- <property name="title">Maintainance Fee Prefix</property>
+<widget name="maintenance_code" meta_type="Select Widget">
+ <property name="title">Maintenance Fee Prefix</property>
  <property name="fields">
-  <element value="maintainance_code"/>
+  <element value="maintenance_code"/>
  </property>
  <property name="is_required">True</property>
- <property name="label">Maintainance Fee Prefix</property>
- <property name="label_edit">Maintainance Fee Prefix</property>
+ <property name="label">Maintenance Fee Prefix</property>
+ <property name="label_edit">Maintenance Fee Prefix</property>
  <property name="readonly_layout_modes"/>
  <property name="hidden_layout_modes"/>
@@ -142,5 +142,5 @@
   </row>
   <row>
-   <cell name="maintainance_code"/>
+   <cell name="maintenance_code"/>
   </row>
   <row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 743)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 744)
@@ -8,10 +8,10 @@
  <property name="validate_values_expr"></property>
  <widget name="acco_maint_date" meta_type="DateTime Widget">
-  <property name="title">Maintainance Payment Date</property>
+  <property name="title">Maintenance Payment Date</property>
   <property name="fields">
    <element value="acco_maint_date"/>
   </property>
-  <property name="label">Maintainance Payment Date</property>
-  <property name="label_edit">Maintainance Payment Date</property>
+  <property name="label">Maintenance Payment Date</property>
+  <property name="label_edit">Maintenance Payment Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -23,10 +23,10 @@
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Maintainance Payment PIN</property>
+  <property name="title">Maintenance Payment PIN</property>
   <property name="fields">
    <element value="acco_maint_sc_pin"/>
   </property>
-  <property name="label">Maintainance Payment PIN</property>
-  <property name="label_edit">Maintainance Payment PIN</property>
+  <property name="label">Maintenance Payment PIN</property>
+  <property name="label_edit">Maintenance Payment PIN</property>
   <property name="hidden_layout_modes">
     <element value="create"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 743)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 744)
@@ -8,10 +8,10 @@
  <property name="validate_values_expr"></property>
  <widget name="acco_maint_date" meta_type="DateTime Widget">
-  <property name="title">Maintainance Payment Date</property>
+  <property name="title">Maintenance Payment Date</property>
   <property name="fields">
    <element value="acco_maint_date"/>
   </property>
-  <property name="label">Maintainance Payment Date</property>
-  <property name="label_edit">Maintainance Payment Date</property>
+  <property name="label">Maintenance Payment Date</property>
+  <property name="label_edit">Maintenance Payment Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -23,10 +23,10 @@
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Maintainance Payment PIN</property>
+  <property name="title">Maintenance Payment PIN</property>
   <property name="fields">
    <element value="acco_maint_sc_pin"/>
   </property>
-  <property name="label">Maintainance Payment PIN</property>
-  <property name="label_edit">Maintainance Payment PIN</property>
+  <property name="label">Maintenance Payment PIN</property>
+  <property name="label_edit">Maintenance Payment PIN</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -34,5 +34,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="prefix">@getMaintainancePrefix</property>
+  <property name="prefix">@getMaintenancePrefix</property>
  </widget>
  <widget name="acco_res_date" meta_type="DateTime Widget">
Index: WAeUP_SRP/trunk/profiles/default/schemas/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/acco_hall.xml	(revision 743)
+++ WAeUP_SRP/trunk/profiles/default/schemas/acco_hall.xml	(revision 744)
@@ -25,4 +25,4 @@
  <field name="which_sex" meta_type="CPS Boolean Field">
   </field>
-   <field name="maintainance_code" meta_type="CPS String Field"/>
+   <field name="maintenance_code" meta_type="CPS String Field"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_accommodation_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_accommodation_wf/definition.xml	(revision 743)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_accommodation_wf/definition.xml	(revision 744)
@@ -8,5 +8,5 @@
  <permission>View</permission>
  <state state_id="bed_reserved" title="">
-  <exit-transition transition_id="pay_maintainance_fee"/>
+  <exit-transition transition_id="pay_maintenance_fee"/>
   <exit-transition transition_id="remove"/>
   <permission-map name="Add portal content" acquired="True">
@@ -20,13 +20,13 @@
   </permission-map>
  </state>
- <state state_id="maintainance_fee_payed" title="">
+ <state state_id="maintenance_fee_payed" title="">
   <exit-transition transition_id="remove"/>
  </state>
  <state state_id="removed" title="">
  </state>
- <transition transition_id="pay_maintainance_fee" title=""
-             new_state="maintainance_fee_payed"
+ <transition transition_id="pay_maintenance_fee" title=""
+             new_state="maintenance_fee_payed"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
   </guard>
@@ -35,5 +35,5 @@
              new_state="removed" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
   </guard>
@@ -42,5 +42,5 @@
              new_state="bed_reserved" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
   </guard>