Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 744)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 745)
@@ -251,52 +251,4 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="pume_eng_score" meta_type="String Widget">
-  <property name="title">PUME English Score</property>
-  <property name="fields">
-   <element value="pume_eng_score"/>
-  </property>
-  <property name="label">PUME English Score</property>
-  <property name="label_edit">PUME English Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="pume_gen_paper" meta_type="String Widget">
-  <property name="title">PUME General Paper</property>
-  <property name="fields">
-   <element value="pume_gen_paper"/>
-  </property>
-  <property name="label">PUME General Paper</property>
-  <property name="label_edit">PUME General Paper</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="pume_math_score" meta_type="String Widget">
-  <property name="title">PUME Mathematics Score</property>
-  <property name="fields">
-   <element value="pume_math_score"/>
-  </property>
-  <property name="label">PUME Mathematics Score</property>
-  <property name="label_edit">PUME Mathematics Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="pume_tot_score" meta_type="String Widget">
-  <property name="title">PUME Total Score</property>
-  <property name="fields">
-   <element value="pume_tot_score"/>
-  </property>
-  <property name="label">PUME Total Score</property>
-  <property name="label_edit">PUME Total Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <table>
   <row>
@@ -353,16 +305,4 @@
   <row>
    <cell name="jamb_second_uni" ncols="3"/>
-  </row>
-  <row>
-   <cell name="pume_gen_paper" ncols="3"/>
-  </row>
-  <row>
-   <cell name="pume_eng_score" ncols="3"/>
-  </row>
-  <row>
-   <cell name="pume_math_score" ncols="3"/>
-  </row>
-  <row>
-   <cell name="pume_tot_score" ncols="3"/>
   </row>
   <row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml	(revision 745)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml	(revision 745)
@@ -0,0 +1,373 @@
+<?xml version="1.0"?>
+<object name="student_application" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="app_ac_date" meta_type="DateTime Widget">
+  <property name="title">Application Date</property>
+  <property name="fields">
+   <element value="app_ac_date"/>
+  </property>
+  <property name="label">Application Date</property>
+  <property name="label_edit">Application Date</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">iso8601_medium_easy</property>
+ </widget>
+<widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
+ <property name="title">Application PIN</property>
+ <property name="fields">
+  <element value="app_ac_pin"/>
+ </property>
+ <property name="is_required">True</property>
+ <property name="label">Application PIN</property>
+ <property name="label_edit">Application PIN</property>
+ <property name="readonly_layout_modes">
+  <element value="edit"/>
+ </property>
+ <property name="hidden_layout_modes"/>
+ <property name="hidden_readonly_layout_modes"/>
+ <property name="prefix">APP</property>
+ <property name="reference">jamb_reg_no</property>
+</widget>
+ <widget name="entry_mode" meta_type="String Widget">
+  <property name="title">Mode of Entry</property>
+  <property name="fields">
+   <element value="entry_mode"/>
+  </property>
+  <property name="label">Mode of Entry</property>
+  <property name="label_edit">Mode of Entry</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="appl_email" meta_type="Email Widget">
+  <property name="is_required">False</property>
+  <property name="title">Email Address</property>
+  <property name="fields">
+   <element value="appl_email"/>
+  </property>
+  <property name="label">Email Address</property>
+  <property name="label_edit">Email Address</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="appl_mobile" meta_type="String Widget">
+  <property name="title">Mobile Phone No</property>
+  <property name="fields">
+   <element value="appl_mobile"/>
+  </property>
+  <property name="label">Mobile Phone No</property>
+  <property name="label_edit">Mobile Phone No</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_age" meta_type="Int Widget">
+  <property name="title">JAMB Age</property>
+  <property name="fields">
+   <element value="jamb_age"/>
+  </property>
+  <property name="label">JAMB Age</property>
+  <property name="label_edit">JAMB Age</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_first_cos" meta_type="String Widget">
+  <property name="title">JAMB First Choice Course of Study</property>
+  <property name="fields">
+   <element value="jamb_first_cos"/>
+  </property>
+  <property name="label">JAMB First Choice Course of Study</property>
+  <property name="label_edit">JAMB First Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_first_uni" meta_type="String Widget">
+  <property name="title">JAMB First Choice University</property>
+  <property name="fields">
+   <element value="jamb_first_uni"/>
+  </property>
+  <property name="label">JAMB First Choice University</property>
+  <property name="label_edit">JAMB First Choice University</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_firstname" meta_type="String Widget">
+  <property name="title">JAMB Firstname</property>
+  <property name="fields">
+   <element value="jamb_firstname"/>
+  </property>
+  <property name="label">JAMB Firstname</property>
+  <property name="label_edit">JAMB Firstname</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_lastname" meta_type="String Widget">
+  <property name="title">JAMB Lastname</property>
+  <property name="fields">
+   <element value="jamb_lastname"/>
+  </property>
+  <property name="label">JAMB Lastname</property>
+  <property name="label_edit">JAMB Lastname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_lga" meta_type="String Widget">
+  <property name="title">JAMB Local Government Area</property>
+  <property name="fields">
+   <element value="jamb_lga"/>
+  </property>
+  <property name="label">JAMB Local Government Area</property>
+  <property name="label_edit">JAMB Local Government Area</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_middlename" meta_type="String Widget">
+  <property name="title">JAMB Middlename</property>
+  <property name="fields">
+   <element value="jamb_middlename"/>
+  </property>
+  <property name="label">JAMB Middlename</property>
+  <property name="label_edit">JAMB Middlename</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_reg_no" meta_type="JambRegNo Widget">
+  <property name="title">JAMB Registration Number</property>
+  <property name="fields">
+   <element value="jamb_reg_no"/>
+  </property>
+  <property name="label">JAMB Registration Number</property>
+  <property name="label_edit">JAMB Registration Number</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+  <property name="size_max">10</property>
+ </widget>
+ <widget name="jamb_score" meta_type="String Widget">
+  <property name="title">JAMB Score</property>
+  <property name="fields">
+   <element value="jamb_score"/>
+  </property>
+  <property name="label">JAMB Score</property>
+  <property name="label_edit">JAMB Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_second_cos" meta_type="String Widget">
+  <property name="title">JAMB Second Choice Course of Study</property>
+  <property name="fields">
+   <element value="jamb_second_cos"/>
+  </property>
+  <property name="label">JAMB Second Choice Course of Study</property>
+  <property name="label_edit">JAMB Second Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_second_uni" meta_type="String Widget">
+  <property name="title">JAMB Second Choice University</property>
+  <property name="fields">
+   <element value="jamb_second_uni"/>
+  </property>
+  <property name="label">JAMB Second Choice University</property>
+  <property name="label_edit">JAMB Second Choice University</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_sex" meta_type="String Widget">
+  <property name="title">JAMB Sex</property>
+  <property name="fields">
+   <element value="jamb_sex"/>
+  </property>
+  <property name="label">JAMB Sex</property>
+  <property name="label_edit">JAMB Sex</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_state" meta_type="String Widget">
+  <property name="title">JAMB State</property>
+  <property name="fields">
+   <element value="jamb_state"/>
+  </property>
+  <property name="label">JAMB State</property>
+  <property name="label_edit">JAMB State</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="passport" meta_type="Photo Widget">
+  <property name="title">Passport Picture</property>
+  <property name="fields">
+   <element value="passport"/>
+  </property>
+  <property name="label">Passport Picture</property>
+  <property name="label_edit">Passport Picture</property>
+  <property
+     name="help">Upload passport photograph with red background</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">204800</property>
+  <property name="display_external_editor">False</property>
+  <property name="display_width">150</property>
+  <property name="display_height">200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ <widget name="pume_eng_score" meta_type="String Widget">
+  <property name="title">PUME English Score</property>
+  <property name="fields">
+   <element value="pume_eng_score"/>
+  </property>
+  <property name="label">PUME English Score</property>
+  <property name="label_edit">PUME English Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pume_gen_paper" meta_type="String Widget">
+  <property name="title">PUME General Paper</property>
+  <property name="fields">
+   <element value="pume_gen_paper"/>
+  </property>
+  <property name="label">PUME General Paper</property>
+  <property name="label_edit">PUME General Paper</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pume_math_score" meta_type="String Widget">
+  <property name="title">PUME Mathematics Score</property>
+  <property name="fields">
+   <element value="pume_math_score"/>
+  </property>
+  <property name="label">PUME Mathematics Score</property>
+  <property name="label_edit">PUME Mathematics Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pume_tot_score" meta_type="String Widget">
+  <property name="title">PUME Total Score</property>
+  <property name="fields">
+   <element value="pume_tot_score"/>
+  </property>
+  <property name="label">PUME Total Score</property>
+  <property name="label_edit">PUME Total Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <table>
+  <row>
+   <cell name="app_ac_pin" ncols="3"/>
+  </row>
+  <row>
+   <cell name="app_ac_date" ncols="3"/>
+  </row>
+  <row>
+   <cell name="appl_email" ncols="3"/>
+  </row>
+  <row>
+   <cell name="appl_mobile" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_reg_no" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_firstname" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_middlename" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_lastname" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_sex" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_age" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_state" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_lga" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="entry_mode" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_first_cos" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_second_cos" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_first_uni" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_second_uni" ncols="3"/>
+  </row>
+  <row>
+   <cell name="pume_gen_paper" ncols="3"/>
+  </row>
+  <row>
+   <cell name="pume_eng_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="pume_math_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="pume_tot_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="passport" ncols="3"/>
+  </row>
+ </table>
+</object>
+