Index: WAeUP_SRP/trunk/profiles/default/schemas/course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/course.xml	(revision 751)
+++ WAeUP_SRP/trunk/profiles/default/schemas/course.xml	(revision 752)
@@ -4,12 +4,8 @@
  <field name="category" meta_type="CPS String Field"/>
  <field name="title" meta_type="CPS String Field"/>
- <field name="code" meta_type="CPS String Field">
-  <property name="is_searchabletext">False</property>
- </field>
+ <field name="code" meta_type="CPS String Field"/>
  <field name="credits" meta_type="CPS Int Field"/>
  <field name="former_code" meta_type="CPS String Field"/>
- <field name="org_code" meta_type="CPS String Field">
-  <property name="is_searchabletext">False</property>
- </field>
+ <field name="org_code" meta_type="CPS String Field"/>
  <field name="passmark" meta_type="CPS Int Field">
   <property name="default_expr">python:40</property>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 751)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 752)
@@ -2,7 +2,5 @@
 <object name="student_application" meta_type="CPS Schema">
  <field name="app_ac_date" meta_type="CPS DateTime Field"/>
- <field name="app_ac_pin" meta_type="CPS String Field">
-  <property name="is_searchabletext">False</property>
- </field>
+ <field name="app_ac_pin" meta_type="CPS String Field"/>
  <field name="appl_email" meta_type="CPS String Field"/>
  <field name="appl_mobile" meta_type="CPS String Field"/>
@@ -11,5 +9,5 @@
  <field name="jamb_first_cos" meta_type="CPS String Field"/>
  <field name="jamb_first_uni" meta_type="CPS String Field"/>
- <field name="jamb_first_faculty" meta_type="CPS String Field"/> 
+ <field name="jamb_first_faculty" meta_type="CPS String Field"/>
  <field name="jamb_firstname" meta_type="CPS String Field"/>
  <field name="jamb_lastname" meta_type="CPS String Field">
@@ -24,5 +22,5 @@
  <field name="jamb_second_cos" meta_type="CPS String Field"/>
  <field name="jamb_second_uni" meta_type="CPS String Field"/>
- <field name="jamb_faculty_uni" meta_type="CPS String Field"/> 
+ <field name="jamb_faculty_uni" meta_type="CPS String Field"/>
  <field name="jamb_sex" meta_type="CPS String Field"/>
  <field name="jamb_state" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 751)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 752)
@@ -3,5 +3,5 @@
 
  <field name="clr_ac_pin" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
 
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml	(revision 751)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml	(revision 752)
@@ -2,6 +2,10 @@
 <object name="student_personal" meta_type="CPS Schema">
 
- <field name="firstname" meta_type="CPS String Field"/>
- <field name="middlename" meta_type="CPS String Field"/>
+ <field name="firstname" meta_type="CPS String Field">
+  <property name="is_searchabletext">True</property>
+ </field>
+ <field name="middlename" meta_type="CPS String Field">
+  <property name="is_searchabletext">True</property>
+ </field>
  <field name="lastname" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
@@ -18,7 +22,5 @@
  <field name="religion" meta_type="CPS String Field"/>
 
- <field name="perm_address" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
+ <field name="perm_address" meta_type="CPS String Field"/>
  <field name="perm_city" meta_type="CPS String Field"/>
  <field name="campus_address" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 751)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 752)
@@ -6,5 +6,5 @@
  <property name="acl_write_roles">Manager</property>
  <item key="all" msgid="">all states</item>
- <item key="created" msgid="">data imported</item>
+ <item key="student_created" msgid="">data imported</item>
  <item key="application_pin_entered" msgid="">application pin entered</item>
  <item key="admission_applied" msgid="">applied for admission</item>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 751)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 752)
@@ -36,15 +36,4 @@
   <exit-transition transition_id="reject_clearance"/>
  </state>
- <state state_id="created" title="">
-  <exit-transition transition_id="create_content"/>
-  <exit-transition transition_id="clear_and_validate"/>
-  <exit-transition transition_id="enter_application_pin"/>
-  <exit-transition transition_id="open"/>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-  </permission-map>
-  <permission-map name="View" acquired="True">
-  </permission-map>
- </state>
  <state state_id="finally_rejected" title="">
  </state>
@@ -56,8 +45,13 @@
   <exit-transition transition_id="reject_admission"/>
  </state>
+ <state state_id="student_created" title="">
+  <exit-transition transition_id="clear_and_validate"/>
+  <exit-transition transition_id="create_content"/>
+  <exit-transition transition_id="enter_application_pin"/>
+ </state>
  <transition transition_id="admit" title=""
              new_state="admitted" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -69,5 +63,5 @@
              new_state="admission_applied" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -79,5 +73,5 @@
              new_state="cleared_and_validated"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -87,7 +81,7 @@
  </transition>
  <transition transition_id="create" title=""
-             new_state="created" trigger="USER"
+             new_state="student_created" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
   </guard>
@@ -98,5 +92,5 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -109,5 +103,5 @@
              new_state="application_pin_entered"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -119,5 +113,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -129,5 +123,5 @@
              new_state="finally_rejected" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -139,5 +133,5 @@
              new_state="pume_failed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -149,5 +143,5 @@
              new_state="pume_passed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -159,5 +153,5 @@
              new_state="admission_rejected" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -169,5 +163,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -179,5 +173,5 @@
              new_state="clearence_requested" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -190,5 +184,5 @@
   <description>Time of the last transition</description>
   <default>
-
+   
    <expression>state_change/getDateTime</expression>
   </default>