Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 757)
+++ WAeUP_SRP/trunk/Students.py	(revision 758)
@@ -556,5 +556,5 @@
         while hasattr(students, sid):
             sid = "%c%d" % (letter,r.randint(99999,1000000))
-        return sid 
+        return sid
         #return "%c%d" % (r.choice('ABCDEFGHKLMNPQRSTUVWXY'),r.randint(99999,1000000))
     ###)
@@ -607,28 +607,28 @@
 ###)
 
-    security.declareProtected(View,'createSubObjects') ###(
-    def createSubObjects(self):
-        """make the student a member"""
-        dp = {'Title': 'Personal Data'}
-        app_doc = self.application.getContent()
-        names = app_doc.jamb_lastname.split()
-        if len(names) == 3:
-            dp['firstname'] = names[0].capitalize()
-            dp['middlename'] = names[1].capitalize()
-            dp['lastname'] = names[2].capitalize()
-        elif len(names) == 2:
-            dp['firstname'] = names[0].capitalize()
-            dp['lastname'] = names[1].capitalize()
-        else:
-            dp['lastname'] = app_doc.jamb_lastname
-        dp['sex'] = app_doc.jamb_sex == 'F'
-        dp['lga'] = "%s/%s" % (app_doc.jamb_state,app_doc.jamb_lga )
-        proxy = self.aq_parent
-        proxy.invokeFactory('StudentPersonal','personal')
-        per = proxy.personal
-        per_doc = per.getContent()
-        per_doc.edit(mapping = dp)
-        per.manage_setLocalRoles(self.getId(), ['Owner',])
-        #self.portal_workflow.doActionFor(per,'open',dest_container=per)
+##    security.declareProtected(View,'createSubObjects') ###(
+##   def createSubObjects(self):
+##        """make the student a member"""
+##        dp = {'Title': 'Personal Data'}
+##        app_doc = self.application.getContent()
+##        names = app_doc.jamb_lastname.split()
+##        if len(names) == 3:
+##            dp['firstname'] = names[0].capitalize()
+##            dp['middlename'] = names[1].capitalize()
+##            dp['lastname'] = names[2].capitalize()
+##        elif len(names) == 2:
+##            dp['firstname'] = names[0].capitalize()
+##            dp['lastname'] = names[1].capitalize()
+##        else:
+##            dp['lastname'] = app_doc.jamb_lastname
+##        dp['sex'] = app_doc.jamb_sex == 'F'
+##        dp['lga'] = "%s/%s" % (app_doc.jamb_state,app_doc.jamb_lga )
+##        proxy = self.aq_parent
+##        proxy.invokeFactory('StudentPersonal','personal')
+##        per = proxy.personal
+##        per_doc = per.getContent()
+##        per_doc.edit(mapping = dp)
+##        per.manage_setLocalRoles(self.getId(), ['Owner',])
+##        #self.portal_workflow.doActionFor(per,'open',dest_container=per)
 
 ###)
@@ -805,4 +805,26 @@
     return CPSBase_adder(container, ob, REQUEST=REQUEST)
 
+
+class StudentPume(CPSDocument): ###(
+    """
+    WAeUP Student container for the various student data
+    """
+    meta_type = 'StudentPume'
+    portal_type = meta_type
+    security = ClassSecurityInfo()
+
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        return "PUME Results"
+
+
+InitializeClass(StudentPume)
+
+def addStudentPume(container, id, REQUEST=None, **kw):
+    """Add a Students PUME data."""
+    ob = StudentPume(id, **kw)
+    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+
 ###)
 
@@ -824,20 +846,20 @@
 #####)
 
-class Semester(CPSDocument): ###(
-    """
-    WAeUP Semester containing the courses and students
-    """
-    meta_type = 'Semester'
-    portal_type = meta_type
-    security = ClassSecurityInfo()
-
-InitializeClass(Semester)
-
-def addSemester(container, id, REQUEST=None, **kw):
-    """Add a Semester."""
-    ob = Semester(id, **kw)
-    return CPSBase_adder(container, ob, REQUEST=REQUEST)
-
-###)
+##class Semester(CPSDocument): ###(
+##    """
+##    WAeUP Semester containing the courses and students
+##    """
+##    meta_type = 'Semester'
+##    portal_type = meta_type
+##    security = ClassSecurityInfo()
+##
+##InitializeClass(Semester)
+##
+##def addSemester(container, id, REQUEST=None, **kw):
+##    """Add a Semester."""
+##    ob = Semester(id, **kw)
+##    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+##
+#####)
 
 class StudentCourseResult(CPSDocument): ###(
Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 757)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 758)
@@ -363,5 +363,5 @@
         datastructure[widget_id+'_b'] = b
         datastructure[widget_id+'_n'] = n
-        
+
 ###)
 
@@ -386,5 +386,5 @@
         while 1:
             if ok == -2:
-                err = 'You have already applied with a different Pin, please login'
+                err = 'You have already applied with a different Pin, please login.'
                 break
             elif ok == -1:
@@ -453,6 +453,6 @@
         datastructure[widget_id+'_b'] = b
         datastructure[widget_id+'_n'] = n
-        return meth(mode=mode, 
-                    datastructure=datastructure, 
+        return meth(mode=mode,
+                    datastructure=datastructure,
                     )
     ###)
Index: WAeUP_SRP/trunk/__init__.py
===================================================================
--- WAeUP_SRP/trunk/__init__.py	(revision 757)
+++ WAeUP_SRP/trunk/__init__.py	(revision 758)
@@ -46,4 +46,5 @@
          "StudentCourseResult",
          "StudentApplication",
+         "StudentPume",
          "StudentClearance",
          "StudentPersonal",
Index: WAeUP_SRP/trunk/profiles/default/types/Student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 757)
+++ WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 758)
@@ -13,5 +13,6 @@
  <property name="allowed_content_types">
   <element value="StudentAccommodation"/>
-  <element value="StudentDocuments"/>
+  <element value="StudentApplication"/>
+  <element value="StudentPume"/>  
   <element value="StudentPersonal"/>
   <element value="StudentStudyCourse"/>